package main

import (
	"log"
	"os"

	"ytgo/config"
	"ytgo/tui"
)

func main() {
	_, err := config.LoadConfig()
	if err != nil {
		log.Fatalf("Error loading configuration: %v", err)
		os.Exit(1)
	}

	if err := tui.Run(); err != nil {
		log.Fatalf("Error running application: %v", err)
		os.Exit(1)
	}
}
